X2Go Bug report logs - #496
x2goclient crashes X session when switching from 800x600 to fullscreen

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Stefan Baur <newsgroups.mail2@stefanbaur.de>

Date: Sat, 10 May 2014 16:00:02 UTC

Severity: normal

Tags: build-win32

Merged with 510

Found in version 4.0.2.0

Full log


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#496; Package x2goclient. (Sat, 10 May 2014 16:00:02 GMT) (full text, mbox, link).


Acknowledgement sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 10 May 2014 16:00:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

Received: (at submit) by bugs.x2go.org; 10 May 2014 15:59:09 +0000
From newsgroups.mail2@stefanbaur.de  Sat May 10 17:59:08 2014
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20 autolearn=ham
	version=3.3.2
X-Greylist: delayed 301 seconds by postgrey-1.34 at ymir.das-netzwertkeam.de; Sat, 10 May 2014 17:59:08 CEST
Received: from mout.kundenserver.de (mout.kundenserver.de [212.227.17.10])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTPS id 8E5325DB16
	for <submit@bugs.x2go.org>; Sat, 10 May 2014 17:59:08 +0200 (CEST)
Received: from [192.168.0.3] (dslb-188-105-131-170.pools.arcor-ip.net [188.105.131.170])
	by mrelayeu.kundenserver.de (node=mreue104) with ESMTP (Nemesis)
	id 0MSa4i-1WHcrq33Qa-00RVJO; Sat, 10 May 2014 17:54:06 +0200
Message-ID: <536E4B98.60700@stefanbaur.de>
Date: Sat, 10 May 2014 17:54:00 +0200
From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:24.0) Gecko/20100101 Thunderbird/24.5.0
MIME-Version: 1.0
To: submit@bugs.x2go.org, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 
 Michael DePaulo <mikedep333@gmail.com>
Subject: x2goclient crashes X session when switching from 800x600 to fullscreen
X-Enigmail-Version: 1.6
Content-Type: text/plain; charset=ISO-8859-15
Content-Transfer-Encoding: 7bit
X-Provags-ID: V02:K0:wlppPujjfAU59+Zo0/e4ERlKAQZZKqHfjzBEgvSWMRY
 5SGJdfR3/2KHvXFvJcMUwBGX4nFiPPKW3XStuFK1iBZfk5A0Gv
 iAy1hidlfEEuvBK8P0446EoTyy78fOVRuCQwrDhYgO/Nmr2o7C
 KnXyuQdf+OryMHPvM/P+CIOc3m7obpR+CtHTxnsCuHX+eJIt0I
 TMnZ2PQOhG6Lc42D1YJGAnNNBo9Z/yIl49asZIcGXgfa8lbOgC
 niTX0RSfEoFQ/aV2c7HGboSiLL6NdgwI9pMwfJhbIfiRWPOfqo
 JKwH1/kJU5CidLZ81ppgWBWWg8gaNwYFUvqgebswaMw3ygeRkO
 UTmHfDhA1J6egyvUEenDDKhp5TmS4F0oci3w4z+IT
Package: x2goclient
Version: 4.0.2.0

Hi,

this bug manifests itself on Windows.

Steps to reproduce:
Set up an 800x600 desktop session and connect.
Switch it to fullscreen using Ctrl-Alt-F once it's active.
Result: X (vcxsrv, the one shipped with x2goclient) server crashes.

We (Mike#2 and I) have verified that this occurs on Windows 7x64 and
Windows 8.1u1x64, with Debian Wheezy/Trinity and Ubuntu 14.04/MATE 1.8
on our respective servers.

Q: Mike#1, is this related to #488? Something going wrong due to the
error in the shortcut file parsing? Or are we seeing a different error here?

-Stefan


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#496; Package x2goclient. (Wed, 02 Jul 2014 03:35:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 02 Jul 2014 03:35:02 GMT) (full text, mbox, link).


Message #10 received at 496@bugs.x2go.org (full text, mbox, reply):

Received: (at 496) by bugs.x2go.org; 2 Jul 2014 03:33:00 +0000
From mikedep333@gmail.com  Wed Jul  2 05:32:59 2014
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
	T_DKIM_INVALID autolearn=ham version=3.3.2
Received: from mail-wi0-f178.google.com (mail-wi0-f178.google.com [209.85.212.178])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTPS id 866305DB54
	for <496@bugs.x2go.org>; Wed,  2 Jul 2014 05:32:59 +0200 (CEST)
Received: by mail-wi0-f178.google.com with SMTP id n15so8761921wiw.17
        for <496@bugs.x2go.org>; Tue, 01 Jul 2014 20:32:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=20120113;
        h=mime-version:date:message-id:subject:from:to:content-type;
        bh=8kZsJVEOG0Uo0EtmeraMyOgbg6MSjNe2eMZvjUzJP6A=;
        b=o5n4qf1G6Pq7wI0iAAdwHpYKwVVs1a85XuAXgbZsnIyekMb8oFd5RzSRynFTgwQ+8g
         8zLc40dbx+bcjGGkQhtMXkn6XovuAxV+DudkqVz15TV6LEJqmeST1ho51tmIS0nmO5j+
         HQNwWGkNCPcPxkHC3pXZlgFgQpSnxFWwvO3Pno4meEuCaK9j33huRXMea4A6+lTuvfXJ
         jv+OM+ckNJoGTiz8dB9qbkJcOcwgefolhOsJo81x9b5sqEUfBJFdObESsu4P6jPxccK7
         wa1jpH7pLMoPTvz6ahZ3EfLAbNYtmXMyqACBZmnaADVbWziIzWR8Aw16vvQ3tedn9n1+
         eUjA==
MIME-Version: 1.0
X-Received: by 10.194.82.106 with SMTP id h10mr103173wjy.115.1404271979260;
 Tue, 01 Jul 2014 20:32:59 -0700 (PDT)
Received: by 10.180.98.233 with HTTP; Tue, 1 Jul 2014 20:32:59 -0700 (PDT)
Date: Tue, 1 Jul 2014 23:32:59 -0400
Message-ID: <CAMKht8jKP8=mfpYWCwgOS_m0AaLPxvPdtBTY6WzGavGqMiuwQQ@mail.gmail.com>
Subject: Some Investigation
From: Michael DePaulo <mikedep333@gmail.com>
To: 496@bugs.x2go.org
Content-Type: text/plain; charset=UTF-8
I just tried out VcXsrv-xp 1.14.3.2 on its own, not with X2Go. I
launched an XDMCP session using "XLaunch" in "One large window" mode.

I also tried out Cygwin X11 on its own. I ran "X -query <hostname>",
which appears to be the same as what I did in XLaunch.

Results:
Whether I am at the gdm login screen, or I am logged into the gnome2
session (centos 6.5), VcXsrv does not respond to ctrl+alt+F.

Conclusion:
ctrl+alt+F must be an X2Go-specific feature, not a common Xwin feature.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#496; Package x2goclient. (Wed, 02 Jul 2014 08:00:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 02 Jul 2014 08:00:02 GMT) (full text, mbox, link).


Message #15 received at 496@bugs.x2go.org (full text, mbox, reply):

Received: (at 496) by bugs.x2go.org; 2 Jul 2014 07:56:20 +0000
From mike.gabriel@das-netzwerkteam.de  Wed Jul  2 09:56:19 2014
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=ham
	version=3.3.2
Received: from freya.das-netzwerkteam.de (freya.das-netzwerkteam.de [88.198.48.199])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTPS id 418D45DB54
	for <496@bugs.x2go.org>; Wed,  2 Jul 2014 09:56:19 +0200 (CEST)
Received: from grimnir.das-netzwerkteam.de (grimnir.das-netzwerkteam.de [78.46.204.98])
	by freya.das-netzwerkteam.de (Postfix) with ESMTPS id 9D4B639C;
	Wed,  2 Jul 2014 09:56:18 +0200 (CEST)
Received: from localhost (localhost [127.0.0.1])
	by grimnir.das-netzwerkteam.de (Postfix) with ESMTP id 87E833BA17;
	Wed,  2 Jul 2014 09:56:18 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at grimnir.das-netzwerkteam.de
Received: from grimnir.das-netzwerkteam.de ([127.0.0.1])
	by localhost (grimnir.das-netzwerkteam.de [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id wa-yFiLU2Ik8; Wed,  2 Jul 2014 09:56:18 +0200 (CEST)
Received: from grimnir.das-netzwerkteam.de (localhost [127.0.0.1])
	by grimnir.das-netzwerkteam.de (Postfix) with ESMTPS id 51D7B3B9B9;
	Wed,  2 Jul 2014 09:56:18 +0200 (CEST)
Received: from listrac.informatik.uni-kiel.de
 (listrac.informatik.uni-kiel.de [134.245.252.114]) by
 mail.das-netzwerkteam.de (Horde Framework) with HTTP; Wed, 02 Jul 2014
 07:56:18 +0000
Date: Wed, 02 Jul 2014 07:56:18 +0000
Message-ID: <20140702075618.Horde.tsuqzTqql8ygC0AyJJHFtQ2@mail.das-netzwerkteam.de>
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Michael DePaulo <mikedep333@gmail.com>, 496@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#496: Some Investigation
References: <CAMKht8jKP8=mfpYWCwgOS_m0AaLPxvPdtBTY6WzGavGqMiuwQQ@mail.gmail.com>
In-Reply-To: <CAMKht8jKP8=mfpYWCwgOS_m0AaLPxvPdtBTY6WzGavGqMiuwQQ@mail.gmail.com>
User-Agent: Internet Messaging Program (IMP) H5 (6.1.7)
Accept-Language: en,de
Organization: DAS-NETZWERKTEAM
X-Originating-IP: 134.245.252.114
X-Remote-Browser: Mozilla/5.0 (X11; Linux i686; rv:30.0) Gecko/20100101
 Firefox/30.0 Iceweasel/30.0
Content-Type: multipart/signed; boundary="=_E-p6uLzyUgtk117Zqdmj-w2";
 protocol="application/pgp-signature"; micalg=pgp-sha1
MIME-Version: 1.0
[Message part 1 (text/plain, inline)]
Hi Mike#2,

On  Mi 02 Jul 2014 05:32:59 CEST, Michael DePaulo wrote:

> I just tried out VcXsrv-xp 1.14.3.2 on its own, not with X2Go. I
> launched an XDMCP session using "XLaunch" in "One large window" mode.
>
> I also tried out Cygwin X11 on its own. I ran "X -query <hostname>",
> which appears to be the same as what I did in XLaunch.
>
> Results:
> Whether I am at the gdm login screen, or I am logged into the gnome2
> session (centos 6.5), VcXsrv does not respond to ctrl+alt+F.
>
> Conclusion:
> ctrl+alt+F must be an X2Go-specific feature, not a common Xwin feature.

I remember to have seen that in X2Go Client VcXsrv gets launched with  
several different options, depending on the session mode (desktop,  
rootless, windowed desktop, fullscreen desktop). I always wondered why  
that is the case.

In Python X2Go I use these VcXsrv options [1] for all kinds of session  
and I think to remember that I don't observe any troubles when  
switching fullscreen back and fourth. Though, I am not 100% sure. (You  
may want to test the latest pyhoca-gui build for win32 and cross-check  
that).

Mike#1

[1]  
http://code.x2go.org/gitweb?p=python-x2go.git;a=blob;f=x2go/defaults.py;h=c235e156b065cb5b6efbe12f431ab0aecc4de08c;hb=2f57967afb301017cbe9f0325eb28c7d9ba95be9#l236
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#496; Package x2goclient. (Tue, 08 Jul 2014 01:20:01 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 08 Jul 2014 01:20:02 GMT) (full text, mbox, link).


Message #20 received at 496@bugs.x2go.org (full text, mbox, reply):

Received: (at 496) by bugs.x2go.org; 8 Jul 2014 01:15:16 +0000
From mikedep333@gmail.com  Tue Jul  8 03:15:14 2014
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
	T_DKIM_INVALID autolearn=ham version=3.3.2
Received: from mail-wg0-f49.google.com (mail-wg0-f49.google.com [74.125.82.49])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTPS id 963CE5DB0A
	for <496@bugs.x2go.org>; Tue,  8 Jul 2014 03:15:14 +0200 (CEST)
Received: by mail-wg0-f49.google.com with SMTP id a1so1799565wgh.8
        for <496@bugs.x2go.org>; Mon, 07 Jul 2014 18:15:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=20120113;
        h=mime-version:date:message-id:subject:from:to:content-type;
        bh=Lm4NhA9LXoy1iEzGo2bOXxDxAomitb97g7jslrMPT1I=;
        b=XKA+9WZnlPwojusZSAXce0FI0zkasDs1vTqA7IqdFIReU56UohxwKlH/4yV0tHXKxw
         r7XddgW/6zk92vZ2Zw1+7EwM7vRF1u0egwSB6cVwosNUbAQLc/TpybiIX81WRWFNeoC2
         yDG+AM6blbWTTWH1HcG8FX/W/gwqv7ekPz26vjBcaLtTKFqbe/ULYBHWXBY5fPry4Dlg
         A5MYYB0WgmAC1OYCXyb69IzrL9OJG82aK8bGgxWDARlKSrIX29a0K6FUKkUY23k5aeET
         Xgmy01gBaI9MdO+UTRHpJjDUilS08S/mbIZv3m0DaekqFCwsKlKKcM6/sYNB4W6hpgMm
         ECeA==
MIME-Version: 1.0
X-Received: by 10.180.76.68 with SMTP id i4mr79765545wiw.83.1404782114339;
 Mon, 07 Jul 2014 18:15:14 -0700 (PDT)
Received: by 10.180.98.233 with HTTP; Mon, 7 Jul 2014 18:15:14 -0700 (PDT)
Date: Mon, 7 Jul 2014 21:15:14 -0400
Message-ID: <CAMKht8gSW9sdOoXyXXsOdFi=X7+wkfn=5fn+U2GdUXPjTGzWVw@mail.gmail.com>
Subject: VcXsrv 1.15.2.0 is still affected
From: Michael DePaulo <mikedep333@gmail.com>
To: 496@bugs.x2go.org
Content-Type: text/plain; charset=UTF-8
VcXsrv 1.15.2.0 was just released (not to be confused with previous
version, 1.15.0.2).
it is still affected.


Added tag(s) build-win32. Request was from Michael DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sun, 10 Aug 2014 16:25:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#496; Package x2goclient. (Thu, 23 Oct 2014 14:25:01 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 23 Oct 2014 14:25:01 GMT) (full text, mbox, link).


Message #27 received at 496@bugs.x2go.org (full text, mbox, reply):

Received: (at 496) by bugs.x2go.org; 23 Oct 2014 14:24:35 +0000
From mikedep333@gmail.com  Thu Oct 23 16:24:35 2014
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: *
X-Spam-Status: No, score=1.9 required=5.0 tests=BAYES_50,DC_IMAGE_SPAM_HTML,
	DC_IMAGE_SPAM_TEXT,DC_PNG_UNO_LARGO,FREEMAIL_FROM,T_DKIM_INVALID,
	URIBL_BLOCKED autolearn=no version=3.3.2
Received: from mail-wg0-f43.google.com (mail-wg0-f43.google.com [74.125.82.43])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTPS id 507E05DB15
	for <496@bugs.x2go.org>; Thu, 23 Oct 2014 16:24:35 +0200 (CEST)
Received: by mail-wg0-f43.google.com with SMTP id m15so1245756wgh.14
        for <496@bugs.x2go.org>; Thu, 23 Oct 2014 07:24:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=20120113;
        h=mime-version:date:message-id:subject:from:to:content-type;
        bh=mXzY7TknE+328AlanDtqRX1d0rYMLyE3fAxTDqz1mAQ=;
        b=g0EJpYVxADCt93crL8t717mLBY0+Z+fdyq1ZRiI6NO+fWko40fgoxuIZ4fV5KrGPuN
         WJXTbI+gXLjaMw45qOkIkgwSh4Jc4EJ9wlkvwsAjz96J3TnkUsoa98gguH48pSQIDtyD
         QmJhFvk7oSVDrgYMBVEVuu4rrjt9gTnULWhRVcWIJ04F9ZpGw8ojK0PXKYyo+OMe71c7
         BniaySBOahP2HrSQ443SpMd+7pZLnklJ6ge0GiijLWDlVOWjD6b30oZOcNLlffFirkAA
         SUNM2cQOh05o2XLBeAeLUHKJ45SK4Jon32ohMYilpApSPQEOlyVYnWIPPFMlpV/CVibV
         WanA==
MIME-Version: 1.0
X-Received: by 10.194.239.10 with SMTP id vo10mr5867002wjc.29.1414074274888;
 Thu, 23 Oct 2014 07:24:34 -0700 (PDT)
Received: by 10.180.211.11 with HTTP; Thu, 23 Oct 2014 07:24:34 -0700 (PDT)
Date: Thu, 23 Oct 2014 10:24:34 -0400
Message-ID: <CAMKht8hfrZbJOb0piM_EH_3oROgvst95fEncec8A9Gzr1Z3bjg@mail.gmail.com>
Subject: log output
From: Michael DePaulo <mikedep333@gmail.com>
To: 496@bugs.x2go.org
Content-Type: multipart/mixed; boundary=001a11c28eccd7dcdf050617d2a0
[Message part 1 (text/plain, inline)]
I've attached the x2goclient (4.0.3.0-20141021-debug) log and the
VcXsrv log of when this bug is triggered

The  X-Server command line options I am passing are shown in the .png. They are:
-multiwindow -notrayicon -clipboard -logverbose 3

-logverbose 3 does not do anything.

On IRC, user nkef posted a practically identical VcXsrv log:
http://pastebin.com/raw.php?i=5Dj2rx5y
[VCXSrv.--help.log (application/octet-stream, attachment)]
[VCXSrv.0.log (application/octet-stream, attachment)]
[x2goclient-4.0.3.0-20141021.log (application/octet-stream, attachment)]
[2014-10-23 10_19_09-Settings.png (image/png, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#496; Package x2goclient. (Thu, 23 Oct 2014 21:55:02 GMT) (full text, mbox, link).


Acknowledgement sent to Nikolaos Kefalas <nkefalas@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 23 Oct 2014 21:55:02 GMT) (full text, mbox, link).


Message #32 received at 496@bugs.x2go.org (full text, mbox, reply):

Received: (at 496) by bugs.x2go.org; 23 Oct 2014 21:51:39 +0000
From nkefalas@gmail.com  Thu Oct 23 23:51:39 2014
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: *
X-Spam-Status: No, score=1.2 required=5.0 tests=BAYES_50,BODY_URI_ONLY,
	FREEMAIL_FROM,T_DKIM_INVALID autolearn=no version=3.3.2
Received: from mail-wg0-f50.google.com (mail-wg0-f50.google.com [74.125.82.50])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTPS id ED2155DB15
	for <496@bugs.x2go.org>; Thu, 23 Oct 2014 23:51:38 +0200 (CEST)
Received: by mail-wg0-f50.google.com with SMTP id a1so2044404wgh.21
        for <496@bugs.x2go.org>; Thu, 23 Oct 2014 14:51:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=20120113;
        h=mime-version:date:message-id:subject:from:to:content-type;
        bh=jROwLQcTyWIo4+qRC7N0MDw1BjJ7cLhvQu4+HvVX2wk=;
        b=gU+AKDucpGeotKu5CEmlq0hmBo5p2T+Hnon0cyJ6yYnuYlz9LZslVmlIMg3ZtMII+d
         EJ0hC0LIcx9l52IYoZqXKcQGLvlDt061+r7waQRyWdMWfBC1+qXymlr3RgjAOuAR17rl
         YwXEXiQQG9LaEthaOtjZFZdbOvZNP3GGoBdD1m5lAb8VgIMlmhvJIV59h6M698DsRYM0
         nSWOscQ2yDPgS8KZUQVuWwsfIEy5h5q7w8qO4a/BWFXNC4LEFzwbVevcQF7dwZlzj78m
         aJcQyhlThkvtS1B4gGE16GXXTVfGpDcWRNGxgEwCdp7kBfa29KBm9jTWFFUveW7E6o2y
         6nDw==
MIME-Version: 1.0
X-Received: by 10.194.110.104 with SMTP id hz8mr361177wjb.62.1414101098643;
 Thu, 23 Oct 2014 14:51:38 -0700 (PDT)
Received: by 10.216.59.65 with HTTP; Thu, 23 Oct 2014 14:51:38 -0700 (PDT)
Date: Fri, 24 Oct 2014 00:51:38 +0300
Message-ID: <CACgJ+N6+HfofqNzwokcqfeNZYeSjprN5Dw-u_b-r-iA9sVkTLA@mail.gmail.com>
Subject: x2goclient crashes X session when switching from window to fullscreen
From: Nikolaos Kefalas <nkefalas@gmail.com>
To: 496@bugs.x2go.org
Content-Type: text/plain; charset=UTF-8
I tested the x2go 4.0.3.0 with VcXsrv 1.16.1.0 x64 and the same crash
occurs in Window 8.1 x64 when switching from window to fullscreen.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#496; Package x2goclient. (Fri, 24 Oct 2014 07:25:02 GMT) (full text, mbox, link).


Acknowledgement sent to Nikolaos Kefalas <nkefalas@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 24 Oct 2014 07:25:02 GMT) (full text, mbox, link).


Message #37 received at 496@bugs.x2go.org (full text, mbox, reply):

Received: (at 496) by bugs.x2go.org; 24 Oct 2014 07:24:48 +0000
From nkefalas@gmail.com  Fri Oct 24 09:24:47 2014
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
	T_DKIM_INVALID autolearn=ham version=3.3.2
Received: from mail-wi0-f177.google.com (mail-wi0-f177.google.com [209.85.212.177])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTPS id B8F7B5DB15
	for <496@bugs.x2go.org>; Fri, 24 Oct 2014 09:24:47 +0200 (CEST)
Received: by mail-wi0-f177.google.com with SMTP id ex7so517909wid.4
        for <496@bugs.x2go.org>; Fri, 24 Oct 2014 00:24:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=20120113;
        h=mime-version:date:message-id:subject:from:to:content-type;
        bh=6UXiRdhWD6Kj+LsGTbUIg7HpO1dFCbhHI5HRKJdYySY=;
        b=mBXIjikbI7A5TfPPnW0RC0ILddEdelPkeGED0JvEnLV8wF88q2EtgdJQLTMFqJFXAK
         d+7CxSmmLvznmUnLdlrnsTKkCvluSg9h4yIaor79Ma91dAY3PbJa5ZwOxjnbX2XakdKv
         kFUyuwALFwOIHnJfMLXAWiLwZYzMG3WljvnP3Biw1zljSFfhREt+xK3EGvzy5b299M8w
         cjGb0HwGXcyjpU4APAE3R9McEvOavx9jqtmrGiW/1RBbBXz6Np9hWWPRb/1psbtLGBgR
         lz3Rd0KOcvSGP0lVOYfNi68cOUEtNEO3U7GoyILZO80huJ0uIrC0Mqiz+pwM7w1PfofS
         Q13w==
MIME-Version: 1.0
X-Received: by 10.180.79.228 with SMTP id m4mr2221845wix.26.1414135487375;
 Fri, 24 Oct 2014 00:24:47 -0700 (PDT)
Received: by 10.216.59.65 with HTTP; Fri, 24 Oct 2014 00:24:47 -0700 (PDT)
Date: Fri, 24 Oct 2014 10:24:47 +0300
Message-ID: <CACgJ+N6sUqBC6jhB7on_aq=rhNShOf2Bc4P-PEx5zPZS0v+--g@mail.gmail.com>
Subject: x2goclient crashes X session when switching from window to fullscreen
From: Nikolaos Kefalas <nkefalas@gmail.com>
To: 496@bugs.x2go.org
Content-Type: text/plain; charset=UTF-8
I tested also the x2go 4.0.3.0 with VcXsrv 1.16.1.0 x64 and  x32 and
the same crash occurs in Windows 7 SP1 x64 when switching from window
to fullscreen. The -logverbose 3 produced no extra info in

VCXSrv.0.log.


Merged 496 510 Request was from Michael DePaulo <mikedep333@gmail.com> to 510-quiet@bugs.x2go.org. (Tue, 03 Mar 2015 13:55:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#496; Package x2goclient. (Tue, 29 Sep 2015 04:30:02 GMT) (full text, mbox, link).


šŸ”— View this message in rfc822 format

X-Loop: owner@bugs.x2go.org
Subject: Bug#496: 
Reply-To: JoaquĆ­n Escayo <jescayo@ucm.es>, 496@bugs.x2go.org
Resent-From: JoaquĆ­n Escayo <jescayo@ucm.es>
Original-Sender: krazny@gmail.com
Resent-To: x2go-dev@lists.x2go.org
Resent-CC: X2Go Developers <x2go-dev@lists.x2go.org>
X-Loop: owner@bugs.x2go.org
Resent-Date: Mon, 22 May 2017 08:30:02 +0000
Resent-Message-ID: <handler.496.B496.14954416758598@bugs.x2go.org>
Resent-Sender: owner@bugs.x2go.org
X-X2Go-PR-Message: followup 496
X-X2Go-PR-Package: x2goclient
X-X2Go-PR-Keywords: build-win32
Received: via spool by 496-submit@bugs.x2go.org id=B496.14954416758598
          (code B ref 496); Mon, 22 May 2017 08:30:02 +0000
Received: (at 496) by bugs.x2go.org; 22 May 2017 08:27:55 +0000
X-Spam-Checker-Version: SpamAssassin 3.4.1 (2015-04-28) on
	ymir.das-netzwerkteam.de
X-Spam-Level: *
X-Spam-Status: No, score=1.3 required=3.0 tests=BAYES_50,DKIM_SIGNED,
	DKIM_VALID,HTML_MESSAGE,RCVD_IN_MSPIKE_H3,RCVD_IN_MSPIKE_WL,
	RCVD_IN_SORBS_SPAM autolearn=no autolearn_force=no version=3.4.1
Received: from localhost (localhost [127.0.0.1])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTP id 6B6325DAD3
	for <496@bugs.x2go.org>; Mon, 22 May 2017 10:27:54 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at ymir.das-netzwerkteam.de
Received: from ymir.das-netzwerkteam.de ([127.0.0.1])
	by localhost (ymir.das-netzwerkteam.de [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id OqWXtA_yGcYl for <496@bugs.x2go.org>;
	Mon, 22 May 2017 10:27:47 +0200 (CEST)
Received: from mail-qk0-f182.google.com (mail-qk0-f182.google.com [209.85.220.182])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTPS id 5C36D5DAD2
	for <496@bugs.x2go.org>; Mon, 22 May 2017 10:27:46 +0200 (CEST)
Received: by mail-qk0-f182.google.com with SMTP id a72so99741755qkj.2
        for <496@bugs.x2go.org>; Mon, 22 May 2017 01:27:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=20161025;
        h=mime-version:sender:from:date:message-id:subject:to;
        bh=YUpURjBeM7+CUDD7KTgbyvdxN4AFKem0jFqhpWo98mw=;
        b=Q+8vV+cCZSG+Z+6aR10HUadoW9Iea6209BpNlWA+1sWyyB+YoVS45esfXLtJP9URmQ
         6oZFVxj5Hp7UOcg8UuSVZczAIufYx0FcKrJnRTFZV0qZhNpSGVRJsdPiROh46/zfFYqD
         GAiYspP7jchpH2tQNevsemAuP0T+c+9tGwCBP/jIzoET6gehUQpJHEbPmTuHN+vJQno2
         Ei/cQ/oHQlHGnoOX83uqepTz1ZMOZr1LL0Sidtw/m428xKqI/2lnYkI64uwKIJjZ3jPH
         5mvSqEh3qHfldkdmPp6ndF3rPUohD1KTyhkjgsIuWIvaj/QM33TLL2OjEANcijaiidsc
         OqXg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=1e100.net; s=20161025;
        h=x-gm-message-state:mime-version:sender:from:date:message-id:subject
         :to;
        bh=YUpURjBeM7+CUDD7KTgbyvdxN4AFKem0jFqhpWo98mw=;
        b=hJwhb9NzKXui599HgvxpvrIeWXoK9+ag19uDabRXI4H5GZ837XPTPt2Ynr1ZCnHuk9
         /F9Hy2CPsQ5K0+xkLEceKFgk5O0ZfLLsKvmX/A6pSl6ke+bDwpydxmTAYvHph4CD4VIm
         o/RvW2zCLVvM351o2bYmFeDKKzeZhtNwIZ4bjHkMuaBX/9toZcBovAtK3Yp5xIZMAT0z
         bghsIpxKdOAo0zRjIRwU2TQJA/asSF+iitV6LRbfOfF0zmIqd+1XbfLfS+oU+m4Gggn+
         Bgnr6S7PBObfFCwQblQ73WUahENKdDogqPaU5/FzqBhrB2v1YOSHlTMRxm4X68FAoSUy
         8JWQ==
X-Gm-Message-State: AODbwcBULpqYp1/5k9hkpT1c1OPW7VvvD+EosGestUw0yr+Lvgat0uya
	ckB05enWDnTwpyhzDhLPo3+gzAzQmQ==
X-Received: by 10.55.16.220 with SMTP id 89mr18967157qkq.254.1495441665489;
 Mon, 22 May 2017 01:27:45 -0700 (PDT)
MIME-Version: 1.0
Sender: krazny@gmail.com
Received: by 10.12.138.65 with HTTP; Mon, 22 May 2017 01:27:15 -0700 (PDT)
From: JoaquĆ­n Escayo <jescayo@ucm.es>
Date: Mon, 22 May 2017 10:27:15 +0200
X-Google-Sender-Auth: fU2e7qE3Ljp9QW0VLgAEngm4sac
Message-ID: <CAGOijjUL-ruH8PCneMuH-kf787huh-QQCXbNYkxLkop4KvyyYg@mail.gmail.com>
To: 496@bugs.x2go.org
Content-Type: multipart/alternative; boundary="001a1145b62a41001d055018a5ad"
[Message part 1 (text/plain, inline)]
ItĀ“s happening to me also.

Latest version of x2go client (4.1.0.0) on Windows 8 x64 and server side
with a Scientific Linux 7.1.

If you switch to fullscreen the X server crashes, but if you start the
session fullscreen it seems to work.

Let me know if I can provide debug information to solve this bug.

Thank you!
[Message part 2 (text/html, inline)]

Acknowledgement sent to JoaquĆ­n Escayo <jescayo@ucm.es>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 22 May 2017 08:30:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#496; Package x2goclient. (Fri, 14 Jul 2017 22:35:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue May 28 20:55:45 2024; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright Ā© 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.